> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Group

> Interface description: Update group information based on groupId.



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json patch /api/v2/channels/account-groups/{groupId}
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
paths:
  /api/v2/channels/account-groups/{groupId}:
    patch:
      tags:
        - Channel Management/Account Groups
      summary: Update Group
      description: 'Interface description: Update group information based on groupId.'
      operationId: AccountGroupsController_update_v2
      parameters:
        - name: groupId
          in: path
          description: Group ID
          required: true
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  description: Group name
                rank:
                  description: sort value
                  type: number
                ip:
                  description: IP
                  type: string
                location:
                  description: Location
                  type: string
                countryCode:
                  description: country code
                  type: string
                proxyIp:
                  description: Proxy IP
                  type: string
                browserConfig:
                  description: Browser fingerprint configuration
                  type: object
                  additionalProperties: true
                  properties: {}
            examples: {}
        required: true
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ChannelAccountGroupVo'
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      id: string
                      name: string
                      hasBrowserConfig: true
                      rank: 1
                      ip: string
                      location: string
                      countryCode: string
                      proxyIp: string
                      isDefault: true
                      createdAt: '2026-07-02T12:00:00.000Z'
                      updatedAt: '2026-07-02T12:00:00.000Z'
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: Parameter validation failed
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: Unauthenticated or invalid API Key
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
                accountGroupNotFound12601:
                  summary: AccountGroupNotFound (12601)
                  value:
                    code: 12601
                    message: Account group not found
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  schemas:
    ChannelAccountGroupVo:
      type: object
      properties:
        id:
          type: string
          description: Group ID
        name:
          type: string
          description: Group name
        rank:
          description: sort value
          type: number
        ip:
          description: IP
          type: string
        location:
          description: Location
          type: string
        countryCode:
          description: country code
          type: string
        proxyIp:
          description: Proxy IP
          type: string
        isDefault:
          description: Whether to group by default
          type: boolean
        hasBrowserConfig:
          type: boolean
          description: Whether to include browser fingerprint configuration
        createdAt:
          type: string
          format: date-time
          description: creation time
        updatedAt:
          type: string
          format: date-time
          description: Update time
      required:
        - id
        - name
        - hasBrowserConfig
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        Need to get API Key from AiToEarn. Click to go to ["API Key Obtaining
        Tutorial"](/en/use/api-key).

````